# ~vern's website

This repo contains the files for the ~vern website.

It is completely static other than the 8 php scripts licensed under a GNU Affero General Public License, version 3. The generated content is licensed under a CC BY-SA 4.0 International license, along with all other content on the website

To start a version locally, you can use https://github.com/danvk/ssi-server or nginx configs similar to vern/nginx-configs:/common/website.conf.


# Translating

You want to help ~vern and are fluent in English and another language? Great!

Follow these steps to start translating our website. For finer details, check out the existing por-BR translation. We will call your language code `xxx`, though if there are dialects that are substantially different, use `xxx-YY`, where `xxx` is the three-letter ISO 639-3 code, and `YY` is the ISO 3166-2 code for the country in which the dialect is spoken.


1. Sign in (Preferrably with ~vern, if you have an account, but Codeberg OAuth2 is fine)
2. Fork this repo
3. Copy eng/ to xxx/
4. Remove xxx/translations.php
5. Translate! (but not xxx/tos.html, xxx/privpol.html, xxx/p/list.php, or anything that isn't shown to the user (e.g. E-mails sent to admins))
6. Create xxx/tl-notice.html that contains the following text, but translate it into your language:
```html
<h1>Translation notice</h1>
<p>The following document is written in english because of ~vern's geographical jurisdiction. Taking into account that all our servers are in the USA or Canada, the following text couldn't be translated. Currently, our translators can't find a viable way of translating the document whilst keeping the same legal meaning. If you have any suggestions, contact an <a href="/xxx/admins">admin</a>.</p>
<p>With this stance, here's the original document, in English:</p>
<br>
```
6. Add the following text in tos.html and privpol.html directly under the nav.php include.
```html
<!--#include file="tl-notice.html" -->
```
7. Add your language to eng/translations.php
8. Create a pull request
